Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/collaborations/1234" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "12345678",
"type": "collaboration",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
},
"description": "Contract for Q1 renewal",
"size": 629644,
"path_collection": {
"total_count": 1,
"entries": [
{
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
}
]
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"trashed_at": "2012-12-12T10:53:43-08:00",
"purged_at": "2012-12-12T10:53:43-08:00",
"content_created_at": "2012-12-12T10:53:43-08:00",
"content_modified_at": "2012-12-12T10:53:43-08:00",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"owned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"shared_link": {
"url": "https://www.box.com/s/vspke7y05sb214wjokpk",
"effective_access": "company",
"effective_permission": "can_download",
"is_password_enabled": true,
"download_count": 3,
"preview_count": 3,
"download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
"vanity_url": "https://acme.app.box.com/v/my_url/",
"vanity_name": "my_url",
"access": "open",
"unshared_at": "2018-04-13T13:53:23-07:00",
"permissions": {
"can_download": true,
"can_preview": true,
"can_edit": false
}
},
"parent": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"item_status": "active"
},
"app_item": {
"id": "12345678",
"type": "app_item",
"application_type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com",
"is_active": true
},
"invite_email": "john@example.com",
"role": "editor",
"expires_at": "2012-12-26T10:53:43-08:00",
"is_access_only": true,
"status": "accepted",
"acknowledged_at": "2012-12-12T10:55:20-08:00",
"created_by": [
{
"id": 33224412
},
{
"type": "user"
},
{
"login": "dylan@example.com"
},
{
"name": "Dylan Smith"
}
],
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}1つのコラボレーションを取得します。
curl -i -X GET "https://api.box.com/2.0/collaborations/1234" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "12345678",
"type": "collaboration",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
},
"description": "Contract for Q1 renewal",
"size": 629644,
"path_collection": {
"total_count": 1,
"entries": [
{
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
}
]
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"trashed_at": "2012-12-12T10:53:43-08:00",
"purged_at": "2012-12-12T10:53:43-08:00",
"content_created_at": "2012-12-12T10:53:43-08:00",
"content_modified_at": "2012-12-12T10:53:43-08:00",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"owned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"shared_link": {
"url": "https://www.box.com/s/vspke7y05sb214wjokpk",
"effective_access": "company",
"effective_permission": "can_download",
"is_password_enabled": true,
"download_count": 3,
"preview_count": 3,
"download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
"vanity_url": "https://acme.app.box.com/v/my_url/",
"vanity_name": "my_url",
"access": "open",
"unshared_at": "2018-04-13T13:53:23-07:00",
"permissions": {
"can_download": true,
"can_preview": true,
"can_edit": false
}
},
"parent": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"item_status": "active"
},
"app_item": {
"id": "12345678",
"type": "app_item",
"application_type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com",
"is_active": true
},
"invite_email": "john@example.com",
"role": "editor",
"expires_at": "2012-12-26T10:53:43-08:00",
"is_access_only": true,
"status": "accepted",
"acknowledged_at": "2012-12-12T10:55:20-08:00",
"created_by": [
{
"id": 33224412
},
{
"type": "user"
},
{
"login": "dylan@example.com"
},
{
"name": "Dylan Smith"
}
],
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
コラボレーションのID。
レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。
このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。
コラボレーションオブジェクトを返します。
アクセス制御リストと同様に、コラボレーションではファイルとフォルダに 対するユーザーおよびグループのアクセス権限が定義されます。コラボレーションオブジェクトは、特定のロールによって定義される権限を含んだファイルまたはフォルダへのアクセス権限をユーザーまたはグループに付与します。
このコラボレーションの一意の識別子。
"12345678"
値は常にcollaborationになります。
collaboration "collaboration"
アクセスが許可されているファイルまたはフォルダ。コラボレーションのstatusがpendingの場合またはコラボレーションがアプリ項目に作成されている場合 (app_itemフィールド参照)、このフィールドはnullです。
Show child attributes
アクセスが許可されているapp_item。コラボレーションが項目に作成されている場合 (itemフィールド参照) またはapp_itemにアクセスできない場合、このフィールドはnullです。ロールは、app_itemに関連付けられたすべての項目にカスケードされます。
Show child attributes
ユーザーのMini版の表示は、ステータスがpendingの場合にのみ返すことができます。
Show child attributes
登録済みユーザーでない未登録コラボレータを招待するために使用されたメールアドレス。
"john@example.com"
付与されるアクセスレベル。
editor, viewer, previewer, uploader, previewer uploader, viewer uploader, co-owner, owner "editor"
コラボレーションの有効期限。有効期限が設定されていない場合はnull。
"2012-12-26T10:53:43-08:00"
trueに設定した場合、コラボレータは共有項目にアクセスできますが、これらの項目は [すべてのファイル] リストに表示されません。また、コラボレータには共有項目のルートフォルダのパスも表示されません。
true
コラボレーション招待のステータス。ステータスがpendingの場合、loginとnameは空の文字列を返します。
accepted, pending, rejected "accepted"
コラボレーションオブジェクトのstatusがacceptedまたはrejectedに変更された日時。
"2012-12-12T10:55:20-08:00"
コラボレーションオブジェクトを作成したユーザー。
Show child attributes
[
{ "id": 33224412 },
{ "type": "user" },
{ "login": "dylan@example.com" },
{ "name": "Dylan Smith" }
]コラボレーションオブジェクトが作成された日時。
"2012-12-12T10:53:43-08:00"
コラボレーションオブジェクトが最後に変更された日時。
"2012-12-12T10:53:43-08:00"
Show child attributes
このページは役に立ちましたか?